Package be.e_contract.ejsf.component.input

# Class InputComponent

java.lang.Object
javax.faces.component.UIComponent
javax.faces.component.UIComponentBase
javax.faces.component.UIOutput
javax.faces.component.UIInput
be.e_contract.ejsf.component.input.InputComponent

All Implemented Interfaces:
  `EventListener`, `javax.faces.component.EditableValueHolder`, `javax.faces.component.NamingContainer`, `javax.faces.component.PartialStateHolder`, `javax.faces.component.StateHolder`, `javax.faces.component.TransientStateHolder`, `javax.faces.component.ValueHolder`, `javax.faces.event.ComponentSystemEventListener`, `javax.faces.event.FacesListener`, `javax.faces.event.SystemEventListenerHolder`

public class InputComponent extends javax.faces.component.UIInput implements javax.faces.component.NamingContainer, javax.faces.event.ComponentSystemEventListener

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`InputComponent.PropertyKeys`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMPONENT_FAMILY`
`static final String`
`COMPONENT_TYPE`

### Fields inherited from class javax.faces.component.UIInput

`ALWAYS_PERFORM_VALIDATION_WHEN_REQUIRED_IS_TRUE, CONVERSION_MESSAGE_ID, EMPTY_STRING_AS_NULL_PARAM_NAME, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

### Fields inherited from class javax.faces.component.UIComponent

`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

### Fields inherited from interface javax.faces.component.NamingContainer

`SEPARATOR_CHAR`

## Constructor Summary

Constructors
Constructor
Description
`InputComponent()`

## Method Summary

Modifier and Type
Method
Description
`void`
`decode(javax.faces.context.FacesContext context)`
`void`
`encodeBegin(javax.faces.context.FacesContext context)`
`void`
`encodeChildren(javax.faces.context.FacesContext context)`
`void`
`encodeEnd(javax.faces.context.FacesContext context)`
`String`
`getDefaultType()`
`String`
`getFamily()`
`boolean`
`getRendersChildren()`
`String`
`getType()`
`void`
`processEvent(javax.faces.event.ComponentSystemEvent event)`
`void`
`setDefaultType(String defaultType)`
`void`
`setType(String type)`

### Methods inherited from class javax.faces.component.UIInput

`addValidator, addValueChangeListener, clearInitialState, compareValues, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

### Methods inherited from class javax.faces.component.UIOutput

`getConverter, getLocalValue, setConverter`

### Methods inherited from class javax.faces.component.UIComponentBase

`addClientBehavior, addFacesListener, broadcast, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

### Methods inherited from class javax.faces.component.UIComponent

`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.faces.component.ValueHolder

`getConverter, getLocalValue, setConverter`

## Field Details

### COMPONENT_TYPE

public static final String COMPONENT_TYPE

See Also:
  - Constant Field Values

### COMPONENT_FAMILY

public static final String COMPONENT_FAMILY

See Also:
  - Constant Field Values

## Constructor Details

### InputComponent

public InputComponent()

## Method Details

### getFamily

public String getFamily()

Overrides:
  `getFamily` in class `javax.faces.component.UIInput`

### getType

public String getType()

### setType

public void setType(String type)

### getDefaultType

public String getDefaultType()

### setDefaultType

public void setDefaultType(String defaultType)

### processEvent

public void processEvent(javax.faces.event.ComponentSystemEvent event) throws javax.faces.event.AbortProcessingException

Specified by:
  `processEvent` in interface `javax.faces.event.ComponentSystemEventListener`
Overrides:
  `processEvent` in class `javax.faces.component.UIComponent`
Throws:
  `javax.faces.event.AbortProcessingException`

### getRendersChildren

public boolean getRendersChildren()

Overrides:
  `getRendersChildren` in class `javax.faces.component.UIComponentBase`

### encodeBegin

public void encodeBegin(javax.faces.context.FacesContext context) throws IOException

Overrides:
  `encodeBegin` in class `javax.faces.component.UIComponentBase`
Throws:
  `IOException`

### encodeChildren

public void encodeChildren(javax.faces.context.FacesContext context) throws IOException

Overrides:
  `encodeChildren` in class `javax.faces.component.UIComponentBase`
Throws:
  `IOException`

### encodeEnd

public void encodeEnd(javax.faces.context.FacesContext context) throws IOException

Overrides:
  `encodeEnd` in class `javax.faces.component.UIComponentBase`
Throws:
  `IOException`

### decode

public void decode(javax.faces.context.FacesContext context)

Overrides:
  `decode` in class `javax.faces.component.UIInput`